Subject: bug#14513: 24.3.50; Site load-path pieces differ in MSYS build

From: Eli Zaretskii <[email-masked]>
Date: Thu, 30 May 2013 19:40:30 +0300

> Date: Thu, 30 May 2013 14:46:13 +0100
> From: Richard Copley <[email-masked]>
> 
> The site-specific pieces of the initial load-path are different in the
> nt/msysconfig.sh build from how they used to be with nt/configure.bat.

Indeed, and that is on purpose.  I explained the rationale here:

  http://lists.gnu.org/archive/html/emacs-devel/2013-04/msg00146.html

> In src/epaths.h (when built), PATH_SITELOADSEARCH is defined as:
> 
>   with nt/configure.bat: "%emacs_dir%/site-lisp;%emacs_dir%/../site-lisp"
> 
>   with nt/msysconfig.sh:
> "%emacs_dir%/share/emacs/24.3.50/site-lisp;%emacs_dir%/share/emacs/site-lisp"
> 
> The former version was much more useful on Windows, allowing
> one to keep a bunch of Emacs installs in a single parent directory
> that also contains the site-lisp directory.

Sorry, I don't follow.  Please describe what structure was possible
beforehand that you think is impossible now.